StorefrontStatus returns the current status of a storefront as a series of diagnostic checks
You implement thisScope not enforced
GET
/v2/storefront/status/{storefrontId}
const url = 'https://your-host.example/v2/storefront/status/example';const options = { method: 'GET', headers: { 'X-Zentail-Signature': '<X-Zentail-Signature>', 'X-Zentail-Timestamp': '<X-Zentail-Timestamp>' }};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://your-host.example/v2/storefront/status/example \ --header 'X-Zentail-Signature: <X-Zentail-Signature>' \ --header 'X-Zentail-Timestamp: <X-Zentail-Timestamp>'Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”storefrontId
required
string
Responses
Section titled “ Responses ”A successful response.
Media typeapplication/json
StorefrontStatusResponse contains the results of all diagnostic checks
object
checks
Array<object>
object
name
string
state
CheckState represents the result state of a diagnostic check
string
stateShortDescription
string
details
string
Example
{ "checks": [ { "state": "CHECK_STATE_UNSPECIFIED" } ]}default
Section titled “default”An unexpected error response.
Media typeapplication/json
object
code
integer format: int32
message
string
details
Array<object>
object
@type
string
key
additional properties
Examplegenerated
{ "code": 1, "message": "example", "details": [ { "@type": "example" } ]}